Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1078138 - [User Portal] 'Cannot connect to console for $VM' for not started VMs
Summary: [User Portal] 'Cannot connect to console for $VM' for not started VMs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Frantisek Kobzik
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-03-19 08:59 UTC by Jiri Belka
Modified: 2015-04-07 03:15 UTC (History)
9 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 08:26:19 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screenshot (deleted)
2014-03-19 08:59 UTC, Jiri Belka
no flags Details
screens: fixed VM console info (deleted)
2014-09-12 12:06 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30537 master MERGED userportal: Adjust protocol message Never
oVirt gerrit 30538 ovirt-engine-3.5 MERGED userportal: Adjust protocol message Never

Description Jiri Belka 2014-03-19 08:59:38 UTC
Created attachment 876251 [details]
screenshot

Description of problem:
There's 'Cannot connect to console for $VM' displayed for every down VM in basic User Portal. This is odd and useless msg as well.

Version-Release number of selected component (if applicable):
av3 rhevm-userportal-3.4.0-0.5.master.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. have a down VM in basic User Portal
2. Check right pane around 'Console:'
3.

Actual results:
odd and useless msg

Expected results:


Additional info:

Comment 3 Pavel Novotny 2014-09-12 12:04:37 UTC
Verified in rhevm-3.5.0-0.11.beta.el6ev.noarch (vt3).

Verification steps:
1. In User Portal have a VM which is down.
2. Check the right-hand pane

Results:
Now there is no such message 'Cannot connect to console...' any more.
There is link Console: _Connect_, which is disabled until the VM is Up.
After the VM is Up, the _Connect_ link is enabled and console protocol type is displayed as well.
See attached screenshots for details.

Comment 4 Pavel Novotny 2014-09-12 12:06:11 UTC
Created attachment 936935 [details]
screens: fixed VM console info

Comment 5 Omer Frenkel 2015-02-17 08:26:19 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.